Bug 89997 - lp is not X/Open or POSIX compliant
lp is not X/Open or POSIX compliant
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-04-30 18:59 EDT by Patrick Melo
Modified: 2007-03-27 00:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-01 07:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Melo 2003-04-30 18:59:09 EDT
Description of problem:
According to The Open Group Base Specifications Issue 6, IEEE Std 1003.1-
2001, "The standard input shall be used only if no file operands are 
specified, or if a file operand is '-' ."  The lp supplied with cups-1.1.17-13 
however does not support the dash option to specify standard input.

[patrick@sprout tmp]$ lp -d lazy -
lp: Unknown option ''!
[patrick@sprout tmp]

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. lp -d lazy -
Actual results:
Error message 'Unknown option' is displayed.

Expected results:
lp should read from standard input.

Additional info:
Comment 2 Tim Waugh 2003-05-01 07:45:59 EDT
Thanks.  Reported upstream.


Note You need to log in before you can comment on or make changes to this bug.